@media screen and (max-width: 1240px) {
	.col {
		width: 100%; }
	.login-page .left {
		margin-right: 20px;
		padding-right: 20px; }
	
	.profile-page .center {
		margin-right: 20px; }
	.profile-page .right {
		width: 210px;
		height: 195px; }
	.profile-page .right .amount {
		margin: 11px 0;
		font-size: 47px; }
	
	.ads-page .item {
		flex-wrap: wrap;
		padding: 5px 5px 15px; }
	.ads-page .item > * {
		text-align: left; }
	.ads-page .address {
		width: 28%;
		padding-left: 10px; }
	.ads-page .price,
	.ads-page .publication {
		width: 15%; }
	.ads-page .type,
	.ads-page .status {
		width: 17%; }
	.ads-page .date,
	.ads-page .update {
		width: 12%; }
	.ads-page .status {
		margin: 0; }
	.ads-page .mob-text {
		display: block; }
	.ads-page .publication {
		margin-left: calc(140px + 28%); }
	.ads-page .delete-btn {
		width: 22%;
		height: 32px; }
	.ads-page .line,
	.ads-page .delete-btn img {
		display: none; }
	.ads-page .delete-btn .mob-text {
		margin: 0;
		padding: 0 10px;
		color: white; }
	.ads-page .item .info {
		top: unset;
		right: unset;
		left: 36px;
		bottom: 4px; }
	.ads-page .publication > div:last-child {
		justify-content: initial; }
	.ads-page .item .status {
		align-items: flex-start; }
	
	.ad-page .subtitle {
		font-size: 25px; }
	.ad-page .line-2 {
		flex-direction: column;
		align-items: flex-start; }
	.ad-page .bottom {
		justify-content: flex-end;
		width: 100%;
		margin-top: 15px; }
	.ad-page .line .right {
		gap: 30px; }
	.ad-page .cancel-btn {
		margin: 0 30px 0 15px; }
	.ad-page .status {
		margin-right: 29px; }
	.ad-page .area {
		width: 540px; }
	.ad-page .params input {
		width: 125px; }
	.ad-page .params select {
		min-width: 125px; }
	
	.one-item {
		flex-wrap: wrap; }
	.one-item .main-img img {
		height: 190px; }
	.one-item .center {
		width: 60%; }
	.one-item .right {
		display: flex;
		justify-content: space-between;
		flex-grow: 1;
		width: auto;
		margin-left: 300px;
		border-left: 0;
		border-top: 2px solid #F2F2F2; }
	.one-item .right .line {
		margin: 0 0 14px; }
	.one-item .center,
	.one-item .right {
		padding: 10px 15px; }
	.one-item .description {
		margin-bottom: 25px; }
	.one-item .details {
		font-size: 15px; }
	
	.support-page .one-request {
		padding-left: 15px;
		padding-right: 15px; }
	.support-page .theme {
		width: 28%; }
	.support-page .date,
	.support-page .last-date,
	.support-page .status,
	.support-page .msg {
		width: 18%; }
}

@media screen and (max-width: 960px) {
	header nav {
		display: none; }
	header .menu-img {
		display: flex; }
	header .user-img {
		width: 24px;
		height: 24px; }
	header .logo,
	footer .logo {
		width: 167px; }

	.login-page .left {
		width: 50%; }
	.login-page .role {
		gap: 12px;
		flex-direction: column; }
	.login-page .role > * {
		width: 100%; }
	.login-page .line-psw {
		gap: 12px; }
	.login-page .subtitle {
		font-size: 25px; }
	
	.profile-page .subtitle,
	.ads-page .subtitle,
	.wishlist-page .subtitle,
	.view-page .subtitle,
	.chat-page .subtitle,
	.support-page .subtitle {
		font-size: 22px; }
	.chat-page .subtitle,
	.wishlist-page .subtitle,
	.view-page .subtitle {
		margin-bottom: 30px;
		margin-top: 40px; }

	.profile-page .center {
		margin-right: 10px;
		padding-left: 141px; }
	.profile-page .center .left {
		width: 130px;
		height: 135px; }
	.profile-page .buttons {
		flex-direction: column; }
	.profile-page .buttons > * {
		width: 100%;
		padding: 0;
		line-height: 15px; }
	.profile-page .buttons,
	.profile-page .line {
		gap: 10px; }
	.profile-page .buttons-2 button {
		width: 350px; }
	.profile-page .right {
		width: 180px;
		height: 165px;
		padding-top: 10px; }
	.profile-page .right .amount {
		margin: 9px 0;
		font-size: 40px; }
	.profile-page .refill-btn {
		padding-left: 10px;
		padding-right: 10px; }
	.profile-page .right > div:first-child {
		font-size: 24px; }
	
	.ad-page {
		padding-top: 50px;
		padding-bottom: 50px; }
	.ads-page .add-btn {
		margin-left: 25px; } 
	.ads-page .search {
		width: 260px; }
	.ads-page .top,
	.support-page .top {
		margin: 35px 0 40px; }
	.ads-page .address {
		width: 41%; }
	.ads-page .price,
	.ads-page .type,
	.ads-page .status,
	.ads-page .delete {
		width: 19%; }
	.ads-page .date,
	.ads-page .update,
	.ads-page .publication {
		width: 13.3%; }
	.ads-page .publication {
		margin: 0; }
	.ads-page .date {
		margin-left: 150px; }
	.ads-page .date,
	.ads-page .update {
		margin-top: -12px; }
	.ad-page .images {
		margin: 33px 0 50px; }
	
	.ad-page .subtitle {
		font-size: 20px; }
	.ad-page .line .right {
		flex-direction: column;
		align-items: flex-end;
		gap: 0;
		margin-top: 0; }
	.ad-page .area {
		width: 50%;
		margin-left: 10px; }
	
	.account-pages {
		margin: 60px 0; }
	.account-pages button {
		width: 230px; }
		
	.one-item .main-img img {
		height: 170px; }
	.one-item .right {
		margin-left: 0; }
	
	.support-page .top {
		justify-content: space-between; }
	.support-page .one-request {
		flex-wrap: wrap;
		padding: 15px; }
	.support-page .mob-text {
		display: block; }
	.support-page .line {
		display: none; }
	.support-page .theme {
		width: 40%; }
	.support-page .date,
	.support-page .last-date,
	.support-page .status,
	.support-page .msg {
		width: 30%; }
	.support-page .status {
		margin-left: 40%; }
	.support-page .date,
	.support-page .last-date {
		margin-bottom: 17px; }
	.support-page .msg {
		white-space: initial; }
}

@media screen and (max-width: 800px) {
	footer .bottom {
		flex-direction: column; }
}

@media screen and (max-width: 760px) {
	body {
		font-size: 15px; }
	.login-page .cover {
		flex-wrap: wrap;
		margin: 35px 0 64px; }
	.login-page .left {
		width: 100%;
		margin: 0;
		margin-bottom: 35px;
		padding: 0;
		padding-bottom: 40px;
		border-right: 0;
		border-bottom: 2px solid #979EA2; }
	.login-page .subtitle {
		text-align: left; }
	.login-page .line {
		margin-top: 30px; }
	.login-page .buttons {
		margin-top: 40px; }
	
	.profile-page .subtitle,
	.ads-page .subtitle,
	.wishlist-page .subtitle,
	.view-page .subtitle,
	.chat-page .subtitle,
	.support-page .subtitle {
		font-size: 20px; }
	.profile-page .settings {
		flex-direction: column-reverse;
		margin-bottom: 80px; }
	.profile-page .center {
		align-items: center;
		padding-left: 0; }
	.profile-page .center,
	.profile-page .right {
		width: 100%; }
	.profile-page .right {
		margin-bottom: 20px; }
	.profile-page .buttons {
		flex-direction: revert; }
	.profile-page .buttons-2 button {
		width: 330px;
		padding-left: 0;
		padding-right: 0; }
	.profile-page .center > *:not(.buttons-2) {
		width: 100%; }
	.profile-page .center .left {
		position: relative;
		order: 2;
		width: 180px;
		height: 185px;
		margin-top: 30px; }
	.profile-page .save-btn {
		margin: 50px 0px 40px; }
	.profile-page .delete-btn {
		margin-top: 40px; }
	.profile-page .refill-btn {
		padding-left: 45px;
		padding-right: 45px; }
	
	.ads-page .add-btn {
		margin-left: 0px;
		padding-left: 7px;
		padding-right: 7px; }
	.ads-page .top > div:first-child {
		justify-content: space-between;
		margin-bottom: 15px; }
	.ads-page .top > div {
		width: 100%; }
	.ads-page .image {
		width: 104px; }
	.ads-page .address {
		flex-grow: 1;
		width: 65%; }
	.ads-page .price,
	.ads-page .date,
	.ads-page .publication,
	.ads-page .delete {
		margin-left: 15px; }
	.ads-page .item > *:not(img, .address) {
		width: 44%;
		margin-top: 0;
		margin-top: 20px; }
	.ads-page .item .city {
		margin-top: 9px; }
	
	.ad-page .line {
		flex-direction: column;
		align-items: flex-start; }
	.ad-page .line .right {
		flex-direction: row;
		gap: 35px;
		margin-top: 10px; }
	.ad-page .line-2 .top {
		flex-wrap: wrap;
		gap: 10px;
		justify-content: space-between;
		width: 100%; }
	.ad-page .line-2 .right {
		flex-direction: row-reverse; }
	.ad-page .status {
		width: 100%;
		margin-bottom: 10px; }
	.ad-page .bottom {
		flex-wrap: wrap;
		justify-content: space-between;
		margin-top: 20px; }
	.ad-page .buttons {
		justify-content: space-between; }
	.ad-page .update-btn {
		margin: 0 0 0 10px;
		padding-left: 12px;
		padding-right: 12px; }
	.ad-page .images {
		margin: 33px 0; }
	.ad-page .area,
	.ad-page .upload-txt {
		display: none; }
	.ad-page .cancel-btn {
		margin: 0 10px 0; }
	
	.one-item .center {
		width: 100%; }
	.one-item .main-img {
		display: flex;
		width: 100%;
		justify-content: center; }
	.one-item .main-img img {
		height: auto; }
	.one-item .center,
	.one-item .right {
		padding: 20px; }
	.one-item .right {
		flex-direction: column; }
	.one-item .right .line {
		margin: 20px 0 10px; }
	.one-item .street {
		font-size: 16px; }
	.one-item .description {
		margin-top: 20px; }
	.one-item + .one-item {
		margin-top: 30px; }
	.one-item .details img {
		width: auto;
		height: 15px; }
	
	.support-page .theme {
		width: 100%; }
	.support-page .date,
	.support-page .last-date,
	.support-page .status,
	.support-page .msg {
		width: 50%; }
	.support-page .status {
		margin-left: 0; }
	.support-page .date,
	.support-page .last-date {
		margin-top: 20px; }
}

@media screen and (max-width: 660px) {
	.col {
		padding-left: 15px;
		padding-right: 15px; }
	header .cover {
		padding: 33px 0 21px; }
	footer .cover {
		padding: 30px 0 25px; }
	footer .top {
		flex-direction: column;
		gap: 39px;
		margin-bottom: 60px; }
	footer ul {
		gap: 8px 37px; }
	footer .bottom {
		gap: 5px;
		font-size: 13px; }
	
	.profile-page .line {
		gap: 0;
		flex-wrap: wrap; }
	.profile-page .line > * {
		width: 100%; }
	.profile-page .line > div:first-child {
		margin-bottom: 22px; }
	
	.account-pages {
		justify-content: flex-end; }
	.account-pages .buttons {
		display: none; }
}

@media screen and (max-width: 380px) {
	body {
		font-size: 14px; }
	.col {
		padding-left: 10px;
		padding-right: 10px; }
	button,
	input[type="text"],
	input[type="password"],
	select {
		padding: 0px 10px; }
	button {
		height: 32px; }
	input[type="text"],
	input[type="password"],
	select,
	.login-page .generate,
	.profile-page .refill-btn,
	.ads-page .add-btn,
	.one-item .map-btn,
	.support-page .create-btn {
		height: 26px; }
	.login-page button {
		height: 32px; }
	
	.profile-page .subtitle,
	.ads-page .subtitle,
	.wishlist-page .subtitle,
	.view-page .subtitle,
	.chat-page .subtitle,
	.support-page .subtitle {
		font-size: 16px; }
	
	.chat-page .subtitle,
	.wishlist-page .subtitle,
	.view-page .subtitle {
		margin-bottom: 15px;
		margin-top: 30px; }
	
	.profile-page .settings {
		margin-bottom: 64px; }
	.profile-page .subtitle {
		margin: 30px 0 15px; }
	.profile-page .right {
		height: auto;
		margin-bottom: 30px;
		padding: 19px 0; }
	.profile-page .right > div:first-child {
		font-size: 19px; }
	.profile-page .right .amount {
		margin: 0 0 8px;
		font-size: 65px; }
	.profile-page .buttons > * {
		height: 36px; }
	.profile-page .line {
		gap: 0; }
	.profile-page .line,
	.profile-page .line > div:first-child {
		margin-bottom: 17px; }
	.profile-page .inputs {
		gap: 15px;
		margin: 32px 0 21px;
		justify-content: space-around;
		font-size: 16px; }
	.profile-page input[type="text"] {
		margin-top: 8px; }
	.profile-page .save-btn {
		margin: 48px 0px 30px; }
	.profile-page .connect-btn {
		margin-bottom: 20px; }
	.profile-page .delete-btn {
		margin-top: 30px; }
	.profile-page .buttons-2 button {
		width: 300px; }
	
	.ads-page .top,
	.support-page .top {
		margin: 30px 0 17px; }
	.ads-page .top > div:first-child {
		margin-bottom: 17px; }
	.ads-page .item {
		padding-bottom: 20px; }
	.ads-page .price,
	.ads-page .date,
	.ads-page .publication,
	.ads-page .delete {
		margin-left: 11px; }
	.ads-page .item > *:not(img, .address) {
		width: 48%;
		margin-top: 15px; }
	.ads-page .delete.delete-btn {
		width: 93%;
		margin-top: 50px; }
	.ads-page .mob-text {
		margin-bottom: 5px;
		font-size: 12px; }
	
	.ad-page .line-2 .right {
		width: 100%;
		justify-content: space-between; }
	
	.account-pages {
		justify-content: center;
		margin: 46px 0; }
	.account-pages .num {
		display: none; }
	.account-pages input {
		width: 80px; }
	.one-item .details {
		font-size: 14px; }
	.one-item .right {
		padding: 10px 20px 15px; }
	.one-item .right .line {
		margin: 17px 0 8px; }
	.one-item .contact-btn {
		width: 250px; }
}